Bug 125587 - Add "NETWORKING_IPV6=no" to /etc/sysconfig/network and make the file owned by some RPM package
Add "NETWORKING_IPV6=no" to /etc/sysconfig/network and make the file owned by...
Status: CLOSED DUPLICATE of bug 198045
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
: 126232 188003 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 23:56 EDT by Rodolfo J. Paiz
Modified: 2014-03-16 22:46 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 12:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodolfo J. Paiz 2004-06-08 23:56:39 EDT
Description of problem:
Upon install of several FC2 systems, I find that IPv6 is enabled by 
default and there is no easy/obvious way to turn it off. I suggest 
that the text "NETWORKING_IPV6=no" be added to the default contents 
of /etc/sysconfig/network so that this setting can be easily found 
and changed if desired. (Or you can set the default to yes if you 
*really* want IPv6 on by default now... but I'd prefer setting the 
default to no.)

Also, no package is recorded as owning /etc/sysconfig/network when 
the file is queried via "rpm -qf". I suggest making this file part of 
some package to make it easier for us to trace its origins.

Version-Release number of selected component (if applicable):
I'm using the stock initscripts-7.53-1.

How reproducible:
Always.

Steps to Reproduce:
1. Install FC2.
  
Actual results:
1. The NETWORKING_IPV6 variable is not set in /etc/sysconfig/network.
2. "rpm -qf /etc/sysconfig/network" reports "No package 
owns /etc/sysconfig/network".

Expected results:
1. Some package should own that file.
2. NETWORKING_IPV6 should be set to make it easier to find.

Additional info:
None.
Comment 1 Bill Nottingham 2004-06-29 00:49:25 EDT
*** Bug 126232 has been marked as a duplicate of this bug. ***
Comment 2 Kenneth Porter 2004-07-08 07:58:26 EDT
Note that the duplicate bug 126232 contains additional information,
namely that setting the variable to "no" does not suppress loading the
module.

Also check the Fedora Users mailing list for the thread "Disabling
IPv6" (started July 1) for more information:

http://www.redhat.com/archives/fedora-list/
Comment 3 Rodolfo J. Paiz 2004-07-08 10:48:40 EDT
An easier way to find the "Disabling IPv6" thread via MARC, given 
that in all honesty the Red Hat archives... well, need work:

http://marc.theaimsgroup.com/?t=108869660200001&r=1&w=2

According to some of the comments in the thread, even though "no" is 
the default for IPv6, some program at startup is loading the module 
anyway and so the IPv6 protocol stack and network subsystem is left 
loaded but not fully configured, leading to all sorts of minor 
problems and annoyances.

Really the fact that NETWORKING_IPV6=no does not work as intended 
should probably be filed as a separate bug (since that *does* 
indicate broken behavior and this one is just an RFE) but I'll let 
Bill determine whether to keep them together or separate.
Comment 4 Björn Augustsson 2006-01-05 09:20:22 EST
FYI: This happens on RHEL4 as well. (The issue where NETWORKING_IPV6=no but the
ipv6 module still loads on demand.)
Comment 5 Bill Nottingham 2006-04-05 22:50:01 EDT
*** Bug 188003 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Antony 2006-04-06 04:41:01 EDT
Bill, could we please have a solution for this in a near future?
It was reported for FC3test2 which is already transfered to legacy and nothing
happend so far till FC5.
Comment 7 Bill Nottingham 2006-07-10 16:07:09 EDT

*** This bug has been marked as a duplicate of 198045 ***
Comment 8 Matthew Miller 2006-07-10 17:43:04 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 Bill Nottingham 2006-07-11 12:28:04 EDT

*** This bug has been marked as a duplicate of 198045 ***

Note You need to log in before you can comment on or make changes to this bug.